### Name: getMethod
### Title: Get or Test for the Definition of a Method
### Aliases: getMethod findMethod existsMethod getMethods selectMethod
###   hasMethod MethodsListSelect
### Keywords: programming classes methods

### ** Examples

setGeneric("testFun", function(x)standardGeneric("testFun"))
setMethod("testFun", "numeric", function(x)x+1)
hasMethod("testFun", "numeric")
## Don't run: [1] TRUE
hasMethod("testFun", "integer") #inherited
## Don't run: [1] TRUE
existsMethod("testFun", "integer")
## Don't run: [1] FALSE
hasMethod("testFun") # default method
## Don't run: [1] FALSE
hasMethod("testFun", "ANY")
## Don't run: [1] FALSE
## Don't show: 
stopifnot(isGeneric("testFun"))
stopifnot(hasMethod("testFun", "numeric"))
stopifnot(hasMethod("testFun", "integer"))
stopifnot(!existsMethod("testFun", "integer"))
stopifnot(!hasMethod("testFun"))
stopifnot(!hasMethod("testFun", "ANY"))
removeGeneric("testFun")
## End Don't show



